$( document ).ready(function() {

VLL["FORMAT_LOCALE"] = "cz";

VL.Connect("ws://" + window.location.host + ":80/ws/measure");

$("#connection").VLConnection();

$("#experiment_select").VLExperimentSelect({
	experimentNumberSlot : "experimentId",
	refreshEvent: "experiment_selection_valid",
	onSelectEvent: "experiment_selection_valid"
});

$("#experiment_graph").VLChart({
	devices : [
		{ deviceName : "Arduino_Input0" , loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
	],
	loadEvents : ["experiment_selection_valid"],
	requireData: false,
	chartParams : {
		colors: ["#0000ff"],
		yaxis : {
			max: 5.2,
			min: 0,
			color: "#000000",
			title: 'Value [V]',
		},
		xaxis : {
			noTicks: 10,
			title: 'Time / s'
		},
		grid : {
			tickColor: "#B0B0B0",
			backgroundColor: "#ffffff"
		},
		shadowSize : 0,
		HtmlText: false
	},
});




$("#experiment_export_csv_comma").VLButton({
	onClickEvent : "load_data_csv_comma",
	description : "Values to CSV file (commas)",
	autoDisable : false
});
$("#experiment_export_csv_comma").VLDataOutput({
	devices :  [
	  { deviceName : "Arduino_Input0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
  ],

	loadEvent : "load_data_csv_comma",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0"],
		timeHead: "Time [s]",
		timeFormat: '"0.000"',
		columnHeads: ["V [V]"],
		valueFormats: ['0.00'],
		beforeAll: "",
		delimiterHead: ";",
		betweenHeadLines: "\n",
		afterHead: "\n",
		beforeDataLine: "",
		delimiterDataLine: ";",
		afterDataLine: "\n",
		afterAll: "",
    locale: "cz"
	},

	exportParams: {
		fileName: "data.csv",
		contentType: "text/csv;charset=utf-8"
	}
});

$("#experiment_export_csv_dot").VLButton({
	onClickEvent : "load_data_csv_dot",
	description : "Values to CSV file (dots)",
	autoDisable : false
});
$("#experiment_export_csv_dot").VLDataOutput({
	devices :  [
	  { deviceName : "Arduino_Input0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
	],

	loadEvent : "load_data_csv_dot",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0"],
		timeHead: "Time [s]",
		timeFormat: '"0.000"',
		columnHeads: ["V [V]"],
		valueFormats: ['0.00'],
		beforeAll: "",
		delimiterHead: ";",
		betweenHeadLines: "\n",
		afterHead: "\n",
		beforeDataLine: "",
		delimiterDataLine: ";",
		afterDataLine: "\n",
		afterAll: "",
    locale: "en"
	},

	exportParams: {
		fileName: "data.csv",
		contentType: "text/csv;charset=utf-8"
	}
});

$("#experiment_export_html_comma").VLButton({
	onClickEvent : "load_data_html_comma",
	description : "Values to new HTML page (commas)",
	autoDisable : false
});
$("#experiment_export_html_comma").VLDataOutput({
	devices :  [
	  { deviceName : "Arduino_Input0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
	],

	loadEvent : "load_data_html_comma",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0"],
		timeHead: "Time [s]",
		timeFormat: '0.000',
		columnHeads: ["V [V]"],
		valueFormats: ['0.00'],
		beforeAll: "<table><thead><tr><th align='center'>",
		delimiterHead: "</th><th align='center'>",
		betweenHeadLines: "</th></tr><tr><th align='center'>",
		afterHead: "</th></tr></thead><tbody>",
		beforeDataLine: "<tr><td align='center'>",
		delimiterDataLine: "</td><td align='center'>",
		afterDataLine: "</td></tr>",
		afterAll: "</tbody></table>",
    locale: "cz"    	
	},

	exportFunc: VLH.exportToWindow
});

$("#experiment_export_html_dot").VLButton({
	onClickEvent : "load_data_html_dot",
	description : "Values to new HTML page (dots)",
	autoDisable : false
});
$("#experiment_export_html_dot").VLDataOutput({
	devices :  [
	  { deviceName : "Arduino_Input0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
	],

	loadEvent : "load_data_html_dot",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0"],
		timeHead: "Time [s]",
		timeFormat: '0.000',
		columnHeads: ["Value [V]"],
		valueFormats: ['0.00'],
		beforeAll: "<table><thead><tr><th align='center'>",
		delimiterHead: "</th><th align='center'>",
		betweenHeadLines: "</th></tr><tr><th align='center'>",
		afterHead: "</th></tr></thead><tbody>",
		beforeDataLine: "<tr><td align='center'>",
		delimiterDataLine: "</td><td align='center'>",
		afterDataLine: "</td></tr>",
		afterAll: "</tbody></table>",
    locale: "en"	
	},

	exportFunc: VLH.exportToWindow
});






/*$("#experiment_export_csv").VLButton({
	onClickEvent : "load_data_csv",
	description : "Values in csv",
	autoDisable : false
});
$("#experiment_export_csv").VLDataOutput({
	devices :  [
		{ deviceName : "Arduino_Input0" , loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
	],

	loadEvent : "load_data_csv",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0"],
		timeHead: "Time [s]",
		timeFormat: '"0.000"',
		columnHeads: ["Value [V]"],
		valueFormats: ['0.00'],
		beforeAll: "",
		delimiterHead: ";",
		betweenHeadLines: "\n",
		afterHead: "\n",
		beforeDataLine: "",
		delimiterDataLine: ";",
		afterDataLine: "\n",
		afterAll: ""
	},

	exportParams: {
		fileName: "data.csv",
		contentType: "text/csv;charset=utf-8"
	}
});

$("#experiment_export_html").VLButton({
	onClickEvent : "load_data_html",
	description : "Values on new HTML page",
	autoDisable : false
});
$("#experiment_export_html").VLDataOutput({
	devices :  [
		{ deviceName : "Arduino_Input0" , loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
	],

	loadEvent : "load_data_html",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0"],
		timeHead: "Time [s]",
		columnHeads: ["Value [V]"],
		valueFormats: ["0.00"],
		beforeAll: "<table><thead><tr><th align='center'>",
		delimiterHead: "</th><th align='center'>",
		betweenHeadLines: "</th></tr><tr><th align='center'>",
		afterHead: "</th></tr></thead><tbody>",
		beforeDataLine: "<tr><td align='center'>",
		delimiterDataLine: "</td><td align='center'>",
		afterDataLine: "</td></tr>",
		afterAll: "</tbody></table>"	
	},

	exportFunc: VLH.exportToWindow
});*/

});
